# Downloads Block for Kirby

[![Kirby 3.8.0+](https://img.shields.io/badge/Kirby-3.8.0%2B-green)](https://getkirby.com)
[![MIT license](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE.md)
[![Release](https://img.shields.io/github/v/release/lukasbestle/kirby-downloads)](https://github.com/lukasbestle/kirby-downloads/releases/latest)
[![CI Status](https://img.shields.io/github/actions/workflow/status/lukasbestle/kirby-downloads/ci.yml?branch=main&label=CI)](https://github.com/lukasbestle/kirby-downloads/actions?query=workflow%3ACI+branch%3Amain)
[![Coverage Status](https://img.shields.io/codecov/c/gh/lukasbestle/kirby-downloads?token=vW24dO8dNq)](https://codecov.io/gh/lukasbestle/kirby-downloads)

> Block plugin to embed a list of downloads from a central storage page with filters and search into your Kirby site

![Screenshot of the Downloads block settings in the Kirby Panel](https://raw.githubusercontent.com/wiki/lukasbestle/kirby-downloads/selection-filters.png)

## Support my work

> The Downloads plugin is completely free and published under the terms of the MIT license. I do not sell licenses or accept donations, but I'm available for contract work regarding feature development for this plugin.
> ➯ [Read more…](.github/CONTRIBUTING.md#monetary-support)

## About this plugin

This plugin is for you if you manage a site with lots of downloads (e.g. product documentation or brochures) that should be stored in a central location (on a single downloads page) but presented throughout the site (e.g. on individual product pages).

## Features

- Pre-selection of files by the value of file fields (automatic filters) or manually from the list of all files
- Optional additional filters for visitors in the site frontend
- Optional full-text search across the file title
- Frontend filters and search are implemented without JavaScript but can be progressively enhanced with a built-in API route (requires Kirby 3.9.2+)

## Requirements

- Kirby 3.8.0+ or 4.1.0+
- PHP 8.1+

## Documentation

The [plugin documentation](https://github.com/lukasbestle/kirby-downloads/wiki) will show you how to set up the plugin initially, how to configure the file source and filter fields and how to use the plugin.

## License

[The MIT License](LICENSE.md)

## Contributing & Monetary Support

See [`CONTRIBUTING.md`](.github/CONTRIBUTING.md).

## Credits

- Author and developer: [Lukas Bestle](https://lukasbestle.com)
